SELECTION_SVC(1)

NAME
selection_svc - SunView selection service

SYNOPSIS
selection_svc [ -d ]

AVAILABILITY
This command is available with the software installation option. Refer to for information on how to install optional software.

DESCRIPTION

The SunView selection service handles the state and rank of various selections for its client programs. A selection service is started automatically by sunview(1). However, you can also start one explicitly using the selection_svc command.

OPTIONS

-d  Debug a client program. Use the alternate socket provided for testing and debugging a client program. The second selection service invoked with the -d handles a different set of selections, and can co-exist with one started in the normal fashion. Each service responds only to requests directed to its own socket. The client to be debugged can be directed to use the ``debugging'' service by using the seln_use_test_service() procedure, as described in the

SEE ALSO

sunview(1)